MKFS(8)

NOMBRE
mkfs - construye un sistema de ficheros de Linux

SINOPSIS

mkfs [opciones] [-t tipo] [fs-options] dispositivo [tamaño]

DESCRIPCIÓN

Este frontend de mkfs está obsoleto. Se recomiendo usar la aplicación concreta para cada sistema de ficheros mkfs.<tipo>.

mkfs se emplea para crear un sistema de ficheros de Linux en un dispositivo, generalmente una partición de un disco duro. dispositivo es el nombre del dispositivo (como por ejemplo /dev/hda1 o /dev/sdb2) o un archivo que contenga un sistema de ficheros. tamaño es el cantidad de bloques que el sistema de ficheros empleará.

El código de salida devuelto por mkfs es 0 si acaba con éxito y 1 si acaba en fallo.

mkfs es simplemente un frontend para los diversos constructores de sistemas de ficheros (mkfs.tipo-sf) disponibles en Linux. El constructor específico del sistema de ficheros solo se buscará en los directorios definidos en el PATH. Consulte la correspondiente página de manual para cada constructor en concreto.

OPCIONES

-t, --type tipo
    Especifica el tipo de sistema de ficheros a construir. Si no se define ninguno en concreto, se utlizará ext2 por defecto.

opciones-sf
    Opciones del sistema de ficheros específico, que se pasarán al constructor real del sistema de ficheros.

-V, --verbose
    Produce una salida más prolija, incluyendo todas las órdenes ejecutadas específicas del sistema de ficheros. Especificar esta opción más de una vez inhibe la ejecución de cualquier orden de un sistema de ficheros específico. Esto es útil en el caso de la realización de pruebas.

-h, --help
    Muestra un texto de ayuda y finaliza.

-V, --version
    Muestra información acerca de la versión y termina. La opción -V mostrará información solo si es el único parámetro que definimos, sino hará lo mismo que --verbose.

ERRORES

Todas las opciones genéricas deben ir antes y no combinadas con las específicas del sistema de ficheros. Algunos programas específicos de un sistema de ficheros no detectan automáticamente el tamaño del dispositivo y requieren el parámetro tamaño.

AUTORES

Esta página del manual fue adaptada sin ningún rubor de la versión de Remy Card para el sistema de ficheros ext2.

VÉASE TAMBIÉN

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

INFORMAR DE ERRORES

Para informar de cualquier error, utilice el sistema de seguimiento de fallos

DISPONIBILIDAD

La orden mkfs forma parte del paquete util-linux y puede descargarse en

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.